Package com.emc.documentum.rest.dfc.util

# Class DfcList<T>

java.lang.Object
com.emc.documentum.rest.dfc.util.DfcList<T>

All Implemented Interfaces:
  `Iterable<T>`, `Collection<T>`, `List<T>`

public class DfcList<T> extends Object implements List<T>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DfcList(com.documentum.fc.common.IDfList list)`
  `DfcList(com.documentum.fc.common.IDfList list, boolean safe)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(int index, Object element)`
  `boolean`
  `add(Object e)`
  `boolean`
  `addAll(int index, Collection<? extends T> c)`
  `boolean`
  `addAll(Collection<? extends T> c)`
  `static List<String>`
  `asStringList(com.documentum.fc.common.IDfList list)`
  `void`
  `clear()`
  `boolean`
  `contains(Object o)`
  `boolean`
  `containsAll(Collection<?> c)`
  `T`
  `get(int index)`
  `int`
  `indexOf(Object o)`
  `boolean`
  `isEmpty()`
  `Iterator<T>`
  `iterator()`
  `int`
  `lastIndexOf(Object o)`
  `ListIterator<T>`
  `listIterator()`
  `ListIterator<T>`
  `listIterator(int index)`
  `T`
  `remove(int index)`
  `boolean`
  `remove(Object o)`
  `boolean`
  `removeAll(Collection<?> c)`
  `boolean`
  `retainAll(Collection<?> c)`
  `T`
  `set(int index, Object element)`
  `int`
  `size()`
  `List<T>`
  `subList(int fromIndex, int toIndex)`
  `Object[]`
  `toArray()`
  `<T> T[]`
  `toArray(T[] a)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Collection

  `parallelStream, removeIf, stream, toArray`

  ### Methods inherited from interface java.lang.Iterable

  `forEach`

  ### Methods inherited from interface java.util.List

  `equals, hashCode, replaceAll, sort, spliterator`

- ## Constructor Details

  - ### DfcList

    public DfcList(com.documentum.fc.common.IDfList list)

  - ### DfcList

    public DfcList(com.documentum.fc.common.IDfList list, boolean safe)

- ## Method Details

  - ### size

    public int size()
    Specified by:
      `size` in interface `Collection<T>`
    Specified by:
      `size` in interface `List<T>`

  - ### isEmpty

    public boolean isEmpty()
    Specified by:
      `isEmpty` in interface `Collection<T>`
    Specified by:
      `isEmpty` in interface `List<T>`

  - ### contains

    public boolean contains(Object o)
    Specified by:
      `contains` in interface `Collection<T>`
    Specified by:
      `contains` in interface `List<T>`

  - ### iterator

    public Iterator<T> iterator()
    Specified by:
      `iterator` in interface `Collection<T>`
    Specified by:
      `iterator` in interface `Iterable<T>`
    Specified by:
      `iterator` in interface `List<T>`

  - ### toArray

    public Object[] toArray()
    Specified by:
      `toArray` in interface `Collection<T>`
    Specified by:
      `toArray` in interface `List<T>`

  - ### toArray

    public <T> T[] toArray(T[] a)
    Specified by:
      `toArray` in interface `Collection<T>`
    Specified by:
      `toArray` in interface `List<T>`

  - ### add

    public boolean add(Object e)
    Specified by:
      `add` in interface `Collection<T>`
    Specified by:
      `add` in interface `List<T>`

  - ### remove

    public boolean remove(Object o)
    Specified by:
      `remove` in interface `Collection<T>`
    Specified by:
      `remove` in interface `List<T>`

  - ### containsAll

    public boolean containsAll(Collection<?> c)
    Specified by:
      `containsAll` in interface `Collection<T>`
    Specified by:
      `containsAll` in interface `List<T>`

  - ### addAll

    public boolean addAll(Collection<? extends T> c)
    Specified by:
      `addAll` in interface `Collection<T>`
    Specified by:
      `addAll` in interface `List<T>`

  - ### addAll

    public boolean addAll(int index, Collection<? extends T> c)
    Specified by:
      `addAll` in interface `List<T>`

  - ### removeAll

    public boolean removeAll(Collection<?> c)
    Specified by:
      `removeAll` in interface `Collection<T>`
    Specified by:
      `removeAll` in interface `List<T>`

  - ### retainAll

    public boolean retainAll(Collection<?> c)
    Specified by:
      `retainAll` in interface `Collection<T>`
    Specified by:
      `retainAll` in interface `List<T>`

  - ### clear

    public void clear()
    Specified by:
      `clear` in interface `Collection<T>`
    Specified by:
      `clear` in interface `List<T>`

  - ### get

    public T get(int index)
    Specified by:
      `get` in interface `List<T>`

  - ### set

    public T set(int index, Object element)
    Specified by:
      `set` in interface `List<T>`

  - ### add

    public void add(int index, Object element)
    Specified by:
      `add` in interface `List<T>`

  - ### remove

    public T remove(int index)
    Specified by:
      `remove` in interface `List<T>`

  - ### indexOf

    public int indexOf(Object o)
    Specified by:
      `indexOf` in interface `List<T>`

  - ### lastIndexOf

    public int lastIndexOf(Object o)
    Specified by:
      `lastIndexOf` in interface `List<T>`

  - ### listIterator

    public ListIterator<T> listIterator()
    Specified by:
      `listIterator` in interface `List<T>`

  - ### listIterator

    public ListIterator<T> listIterator(int index)
    Specified by:
      `listIterator` in interface `List<T>`

  - ### subList

    public List<T> subList(int fromIndex, int toIndex)
    Specified by:
      `subList` in interface `List<T>`

  - ### asStringList

    public static List<String> asStringList(com.documentum.fc.common.IDfList list)